This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 6449 - iBCS %install for kernel-2.2.12-20 won't work as a normal user
iBCS %install for kernel-2.2.12-20 won't work as a normal user
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.1
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Cristian Gafton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-10-28 01:28 EDT by carenas
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-10-28 11:41:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description carenas 1999-10-28 01:28:25 EDT
on the iBCS part for %install there are several calls to
mknod, which can no made as a normal user.  building the
iBCS devices would be better done on a %post script or
telling the user to use MAKDEV.iBCS which is installed
Comment 1 Bill Nottingham 1999-10-28 11:41:59 EDT
If you do it in the %post, you can't verify the package correctly.
At some point, there might be a mechanism in RPM to allow for packaging
of special files in a different manner. Until then, we probably won't
fix this, or the dev package.

Note You need to log in before you can comment on or make changes to this bug.